CVE-2007-4658

Published: 04 September 2007

The money_format function in PHP 5 before 5.2.4, and PHP 4 before 4.4.8, permits multiple (1) %i and (2) %n tokens, which has unknown impact and attack vectors, possibly related to a format string vulnerability.

Priority

Medium

Status

Package Release Status
php5
Launchpad, Ubuntu, Debian
Upstream
Released (5.2.4)

Notes

AuthorNote
kees
from Line 7667, http://cvs.php.net/viewcvs.cgi/php-src/ext/standard/string.c?r1=1.640&r2=1.641
202-money-format-abuse.patch

References